Branches
Creates a new branch.
Autorisierungen
AuthorizationstringErforderlich
Bearer access_token
Pfadparameter
topologyIdnumberErforderlichExample:
1Body
namestringErforderlichExample:
Branch name. It must be unique within the tenant.
featureparentIdnumberErforderlichExample:
Identifier of the existing branch to branch from.
12Antworten
201Erfolg
application/json
idnumberErforderlichExample:
Unique identifier of the branch.
42namestringErforderlichExample:
Branch name.
feature/PROJ-142-user-syncheadCommitIdnumberErforderlichExample:
Identifier of the current head commit for the branch.
1088createdAtstring · date-timeErforderlichExample:
2026-07-13T10:15:00.000ZupdatedAtstring · date-timeErforderlichExample:
2026-07-13T10:15:00.000ZisDeletablebooleanErforderlich
Whether the branch can currently be deleted.
400
Invalid branch request payload, params, query, or headers.
application/json
404
A required related resource was not found.
application/json
409
A branch with the same name already exists or the requested branch state conflicts with current data.
application/json
500
Unexpected internal error while processing branches.
application/json
post/topologies/{topologyId}/fit/branches
POST /topologies/{topologyId}/fit/branches HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"name": "feature",
"parentId": 12,
"issuesTracker": {
"trackerId": 3,
"projectId": 18,
"issueIds": [
"PROJ-142",
"PROJ-155"
]
}
}{
"id": 42,
"name": "feature/PROJ-142-user-sync",
"createdBy": {
"id": 1,
"name": "dev dev"
},
"headCommitId": 1088,
"createdAt": "2026-07-13T10:15:00.000Z",
"updatedAt": "2026-07-13T10:15:00.000Z",
"isDeletable": true,
"updatedBy": {
"id": 1,
"name": "dev dev"
},
"issuesTracker": {
"trackerId": 3,
"projectId": 18,
"issueIds": [
"text"
]
}
}Zuletzt aktualisiert
War das hilfreich?